> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset price curve

> Half-hourly data of prices per MWh of flexed energy for the asset. Prices are returned from the current Settlement Period until 23:00 UK time on the same day or next day. Next day prices are available from 14:00 UK time.



## OpenAPI

````yaml GET /entities/asset/{asset_id}/price-curve
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/asset/{asset_id}/price-curve:
    get:
      tags:
        - 4. Assets
      summary: Get Price Curve
      description: >-
        Half-hourly data of prices per MWh of flexed energy for the asset.
        Prices are returned from the current Settlement Period until 23:00 UK
        time on the same day or next day. Next day prices are available from
        14:00 UK time.
      operationId: get_price_curve_entities_asset__asset_id__price_curve_get
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
          name: asset_id
          in: path
      responses:
        '200':
          description: Price curve successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceCurveResponse'
        '403':
          description: Permission denied
        '404':
          description: Asset not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Server error while retrieving price curve
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PriceCurveResponse:
      properties:
        half_hourly_traded_prices:
          items:
            $ref: '#/components/schemas/HalfHourlyPrice'
          type: array
          title: Half Hourly Traded Prices
      type: object
      required:
        - half_hourly_traded_prices
      title: PriceCurveResponse
      description: >-
        Response model for getting the price curve for a dispatchable asset
        (battery / charger).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HalfHourlyPrice:
      properties:
        start_timestamp:
          type: string
          format: date-time
          title: Start Timestamp
        price_gbp_per_mwh:
          type: number
          title: Price Gbp Per Mwh
          description: Price in £/MWh (2dp)
      type: object
      required:
        - start_timestamp
        - price_gbp_per_mwh
      title: HalfHourlyPrice
      description: >-
        Represents the market price for a given half-hour period.


        If the asset is not participating in the market for that period,
        price_gbp_per_mwh will be None.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````